import service from "./index";
const api = '/mediate/api/trace/video/'
// videoTelephone
const apiVideoTelephone = {
    // 当事人
    getLitigantByCaseId: data => {
        return service.service.get(`/mediate/cases/litigant/getLitigantByCaseId?id=${data}`)
    },
    // 预约
    videoTelephoneBooking: data => {
        return service.service.post(`${api}booking`, data)
    },
    // 修改
    videoTelephoneModify: data => {
        return service.service.post(`${api}modify`, data)
    },
    // 取消
    videoTelephoneCancel: data => {
        return service.service.post(`${api}cancel`, data)
    },
    // 录像
    // 进入房间回调
    // 停止调解
    stopMediate: data => {
        return service.service.post(`${api}stop`, data)
    },
    // 开始录像
    startRecord: data => {
        return service.service.post(`${api}start-record`, data)
    },
    // 停止录像
    stopRecord: data => {
        return service.service.post(`${api}stop-record`, data)
    },
    // 获取进入房间的参数
    getEnterById: data => {
        return service.service.post(`${api}enterById`, data)
    },
    // 获取列表(待视频、已视频)
    getListByCaseId: data => {
        return service.service.post(`${api}listByCaseId`, data)
    },
    // 邀请
    videoInvite: data => {
        return service.service.post(`${api}invite`, data)
    },
    // 视频案件详情接口
    videoDetail: data => {
        return service.service.post(`${api}detail`, data)
    },
}
export default apiVideoTelephone;